Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/10884/?format=api
{ "ob_id": 10884, "uuid": "998a28d8a5ed4564863a0daa0f731e8d", "title": "NEXTMap British Digital Terrain (DTM) Model Data by Intermap", "abstract": "This dataset consists of the Digital Terrain Model data (DTM) from the NEXTMap British Digital Terrain Model project produced by Intermap. These data have a spatial resolution of 5m and cover the British Isles.", "keywords": "NEXTMap, digital terrain model, dtm, elevation", "publicationState": "published", "dataPublishedTime": "2009-09-16T23:00:00", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/11722/?format=api", "dataPath": "/neodc/nextmap/by_product/dtm/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 48820057491, "numberOfFiles": 35311, "fileFormat": "These data are in a variety of formats" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3020/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/674/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/6868/?format=api" ], "dataLineage": "Data were purchased by the Natural Environmental Research Council from Intermap who produced the data. These data were then delivered to the NEODC for curation and to permit NERC funded researchers to access these data centrally.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13986/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/10883/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39153/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39154/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39155/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39157/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39158/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39159/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39160/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39156/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2587/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "nextmap_eula", "label": "restricted: nextmap_eula group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/nextmap_eula.pdf", "licenceClassifications": "academic, specific" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }